using System.Text.Json.Serialization;
using SqlSugar;

namespace WmsMobileServe.DataBase.Base.Po;

/// <summary>
/// 出库/拣货任务表
/// </summary>
[SugarTable("T_CK_PICKINGWAVEGOODS")]
public class TPickGoods
{
    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("pickingId")]
    [SugarColumn(ColumnName = "PICKINGID")]
    public string? PickingId { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("goodsId")]
    [SugarColumn(ColumnName = "GOOD_ID")]
    public string? GoodsId { get; set;}

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("goodsName")]
    [SugarColumn(ColumnName = "GOODS_NAME")]
    public string? GoodsName { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("vehicleNo")]
    [SugarColumn(ColumnName = "CTL")]
    public string? VehicleNo { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("location")]
    [SugarColumn(ColumnName = "LOC_ID")]
    public string? Location { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("miStockNum")]
    [SugarColumn(ColumnName = "MISTOCK_NUM")]
    public decimal? MiStockNum { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("pickingNum")]
    [SugarColumn(ColumnName = "PICKING_NUM")]
    public decimal? PickingNum { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("goodsNumSj")]
    [SugarColumn(ColumnName = "GOODS_NUM_SJ")]
    public decimal? GoodsNumSj { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("status")]
    [SugarColumn(ColumnName = "STATUS")]
    public string? Status { get; set; }


    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("outStand")]
    [SugarColumn(ColumnName = "OUTSTAND")]
    public string? OutStand {  get; set; }







}
